## python-exif 3.0.0

=== Makefile ===

ifneq (,$(wildcard /.dockerenv))
	PYTHON_BIN := /usr/local/bin/python3
	PIP_BIN := /usr/local/bin/pip3
	PYLINT_BIN := ~/.local/bin/pylint
	MYPY_BIN := ~/.local/bin/mypy
	TWINE_BIN := ~/.local/bin/twine
	PIP_INSTALL := $(PIP_BIN) install --progress-bar=off --user
else
	VENV_DIR := ./.venv
	PYTHON_BIN := $(VENV_DIR)/bin/python3
	PIP_BIN := $(VENV_DIR)/bin/pip3
	PYLINT_BIN := $(VENV_DIR)/bin/pylint
	MYPY_BIN := $(VENV_DIR)/bin/mypy
	TWINE_BIN := $(VENV_DIR)/bin/twine
	PIP_INSTALL := $(PIP_BIN) install --progress-bar=off
endif

.PHONY: help
all: help

venv: ## Set up the virtual environment
	virtualenv -p python3 $(VENV_DIR)

lint: ## Run linting (pylint)
	$(PYLINT_BIN) -f colorized ./exifread

mypy: ## Run mypy
	$(MYPY_BIN) --show-error-context ./exifread ./EXIF.py

#test: ## Run all tests
#	$(PYTHON_BIN) -m unittest discover -v -s ./tests

analyze: lint mypy ## Run all static analysis tools

reqs-install: ## Install with all requirements
	$(PIP_INSTALL) .[dev]

samples-download: ## Install sample files used for testing.
	wget https://github.com/ianare/exif-samples/archive/master.tar.gz
	tar -xzf master.tar.gz

build:  ## build distribution
	rm -fr ./dist
	$(PYTHON_BIN) setup.py sdist

publish: build ## Publish to PyPI
	$(TWINE_BIN) upload --repository testpypi dist/*

help: Makefile
	@echo
	@echo "Choose a command to run:"
	@echo
	@grep --no-filename -E '^[a-zA-Z_%-]+:.*?## .*$$' Makefile | sort | awk 'BEGIN {FS = ":.*?## "}; {printf " \033[36m%-30s\033[0m %s\n", $$1, $$2}'
	@echo

## python-exif 1.0.8

=== debian/changelog ===
python-exif (1.0.8-3build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:10:00 +0000

python-exif (1.0.8-3) unstable; urgency=low

  * debian/control: remove python-support from BD.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 23 May 2011 12:52:01 +0900

python-exif (1.0.8-2) unstable; urgency=low

  * Switch to dh_python2. 
  * Bump Standards-Version to 3.9.2 (with no changes).
  * debian/install: Added, instead of debian/rules target. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 23 May 2011 11:40:44 +0900

python-exif (1.0.8-1) unstable; urgency=low

  * Initial release (Closes: #610234)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 16 Jan 2011 22:36:00 +0900

=== debian/control ===
Source: python-exif
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/exif-py/
#Vcs-Git: git://git.debian.org/collab-maint/python-exif.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/python-exif.git;a=summary

Package: python-exif
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python library to extract EXIF data from tiff and jpeg files
 This is a Python library to extract EXIF information from digital camera
 image files.

## python-exif 1.1.0

=== debian/changelog ===
python-exif (1.1.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * New upstream release
  * Bump Standards-Version to 3.9.4 (with no changes). 

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 07 May 2013 10:26:21 +0900

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://sourceforge.net/projects/exif-py/
-#Vcs-Git: git://git.debian.org/collab-maint/python-exif.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/python-exif.git;a=summary
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-exif/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-exif/trunk/
 
 Package: python-exif
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  --with python2


#override_dh_auto_install:
#	install -m 644 EXIF.py $(CURDIR)/debian/python-exif/usr/share/pyshared

=== debian/watch ===
version=3
http://sf.net/exif-py/EXIFpy_(.*)\.tar\.gz

## python-exif 1.4.2

=== debian/changelog ===
python-exif (1.4.2-3) unstable; urgency=medium

  * Team upload.

  [ Logan Rosen ]
  * debian/control: Build-depend on dh-python to fix FTBFS. (Closes: #779093)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 Mar 2015 19:05:43 +0100

python-exif (1.4.2-2) unstable; urgency=low

  * Drop buggy Python 3 support for Jessie (Closes: #775609).

 -- W. Martin Borgert <debacle@debian.org>  Sun, 25 Jan 2015 22:33:19 +0000

python-exif (1.4.2-1) unstable; urgency=low

  * New upstream release (Closes: #763347), new upstream homepage
  * Upstream also closes: #727098
  * Bump Standards-Version to 3.9.5 (with no changes).
  * Add Python 3 variant
  * Moved packaging to git

 -- W. Martin Borgert <debacle@debian.org>  Tue, 07 Oct 2014 21:56:02 +0000

=== debian/control ===
Source: python-exif
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>, W. Martin Borgert <debacle@debian.org>
Build-Depends: python-all (>= 2.7~), python-setuptools, debhelper (>= 9), dh-python
Standards-Version: 3.9.5
Homepage: https://github.com/ianare/exif-py
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-exif.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-exif.git

Package: python-exif
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python library to extract Exif data from TIFF and JPEG files
 This is a Python library to extract Exif information from digital camera
 image files. It contains the EXIF.py script and the exifread library.
 .
 This package provides the Python 2.x module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=exif

%:
	dh $@ --buildsystem=pybuild --with python2

override_dh_install:
	dh_install
	rm $(CURDIR)/debian/python*-exif/usr/bin/EXIF.py

## python-exif 2.1.1

=== debian/changelog ===
python-exif (2.1.1-2) unstable; urgency=low

  * Build-depend on python3-setuptools (Closes: #795129)

 -- W. Martin Borgert <debacle@debian.org>  Tue, 11 Aug 2015 22:09:27 +0000

python-exif (2.1.1-1) unstable; urgency=medium

  * New upstream release
  * Re-enable Python 3 support
  * Bump standards version, no changes

 -- W. Martin Borgert <debacle@debian.org>  Sat, 01 Aug 2015 21:41:47 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>, W. Martin Borgert <debacle@debian.org>
-Build-Depends: python-all (>= 2.7~), python-setuptools, debhelper (>= 9), dh-python
-Standards-Version: 3.9.5
+Build-Depends: python-all (>= 2.7~), python-setuptools, python3-setuptools, debhelper (>= 9), dh-python, python3-all
+Standards-Version: 3.9.6
 Homepage: https://github.com/ianare/exif-py
 Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-exif.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-exif.git
@@ -18,3 +18,13 @@
  image files. It contains the EXIF.py script and the exifread library.
  .
  This package provides the Python 2.x module.
+
+Package: python3-exif
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}
+Provides: ${python3:Provides}
+Description: Python library to extract Exif data from TIFF and JPEG files
+ This is a Python library to extract Exif information from digital camera
+ image files. It contains the EXIF.py script and the exifread library.
+ .
+ This package provides the Python 3.x module.

## python-exif 2.1.2

=== debian/changelog ===
python-exif (2.1.2-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * git-dpm tag config

  [ W. Martin Borgert ]
  * Fix Vcs field

  [ TANIGUCHI Takaki ]
  * Imported Upstream version 2.1.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 26 Nov 2015 10:37:08 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 3.9.6
 Homepage: https://github.com/ianare/exif-py
 Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-exif.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-exif.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-exif.git
 
 Package: python-exif
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_NAME=exif
 
 %:
-	dh $@ --buildsystem=pybuild --with python2
+	dh $@ --buildsystem=pybuild --with python2,python3
 
 override_dh_install:
 	dh_install

## python-exif 2.2.0

=== debian/changelog ===
python-exif (2.2.0-5) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump Standards-Version to 4.5.0
  * d/tests/control: Adjust binary package name and import name.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 28 Jan 2020 11:47:31 +0900

python-exif (2.2.0-4) unstable; urgency=medium

  * Rename binary package (Closes: #942287)

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 14 Oct 2019 23:50:34 +0900

python-exif (2.2.0-3) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937741

 -- Sandro Tosi <morph@debian.org>  Sun, 13 Oct 2019 19:35:20 -0400

python-exif (2.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ TANIGUCHI Takaki ]
  * Set upstream metadata fields: Repository.
  * Bump Standards-Version to 4.4.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 30 Sep 2019 17:30:04 +0900

python-exif (2.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * Convert git repository from git-dpm to gbp layout

  [ TANIGUCHI Takaki ]
  * Bump debhelper from deprecated 7 to 10.
  * New upstream version 2.2.0
  * debian/compat: Bumpt to 12
  * Bump Standards-Version

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 29 Jul 2019 10:58:41 +0900

=== debian/control ===
Source: python-exif
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>, W. Martin Borgert <debacle@debian.org>
Build-Depends: python3-setuptools, debhelper-compat (= 12), dh-python, python3-all
Standards-Version: 4.5.0
Homepage: https://github.com/ianare/exif-py
Vcs-Git: https://salsa.debian.org/python-team/modules/python-exif.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-exif

Package: python3-exif
Architecture: all
Depends: python3-exifread, ${misc:Depends}
Section: oldlibs
Description: Transition package for python3-exifread
 This is a Python library to extract Exif information from digital camera
 image files. It contains the EXIF.py script and the exifread library.
 .
 This is a dummy package.

Package: python3-exifread
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Breaks: python3-exif (<< 2.2.0-4~)
Replaces: python3-exif (<< 2.2.0-4~)
Description: Python library to extract Exif data from TIFF and JPEG files
 This is a Python library to extract Exif information from digital camera
 image files. It contains the EXIF.py script and the exifread library.
 .
 This package provides the Python 3.x module.

=== debian/tests/control ===
Depends: @, python3-all
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import exifread; print(exifread)" ; done

## python-exif 2.3.2

=== debian/changelog ===
python-exif (2.3.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ TANIGUCHI Takaki ]
  * New upstream version 2.3.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 07 Nov 2020 12:05:20 +0900

python-exif (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 06 Sep 2020 11:23:01 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: python-exif
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>, W. Martin Borgert <debacle@debian.org>
 Build-Depends: python3-setuptools, debhelper-compat (= 12), dh-python, python3-all
 Standards-Version: 4.5.0
 Homepage: https://github.com/ianare/exif-py
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-exif.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-exif
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-exif.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-exif
 
 Package: python3-exif
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=exifread

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_install:
	dh_install
	rm $(CURDIR)/debian/python*-exifread/usr/bin/EXIF.py

## python-exif 3.0.0

=== debian/changelog ===
python-exif (3.0.0-1) unstable; urgency=medium

  [ Diego M. Rodriguez ]
  * d/test: mark test as superficial (Closes: #974474)

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ TANIGUCHI Takaki ]
  * New upstream version 3.0.0
  * Update standards version to 4.6.1, no changes needed.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 04 Jul 2022 10:26:29 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>, W. Martin Borgert <debacle@debian.org>
-Build-Depends: python3-setuptools, debhelper-compat (= 12), dh-python, python3-all
-Standards-Version: 4.5.0
+Build-Depends: python3-setuptools, debhelper-compat (= 13), dh-python, python3-all
+Standards-Version: 4.6.1
 Homepage: https://github.com/ianare/exif-py
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-exif.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-exif

=== debian/tests/control ===
Depends: @, python3-all
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import exifread; print(exifread)" ; done
Restrictions: superficial

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/exif-py-$1\.tar\.gz/ \
  https://github.com/ianare/exif-py/tags .*/v?(\d\S*)\.tar\.gz
